#pragma once

#include <string>
#include <C2/gl/GlslShader.h>

#include "ShaderInterface.h"


class DepthColorShader : public ShaderInterface
{
public:
	DepthColorShader(ShaderContext* context);

	const char* GetShaderName(void)
	{
		return "DepthColorShader";
	}

	bool Initialize(const std::string& shader_libdir);

	void Release(void);

	virtual void BeginShader(void);
	virtual void EndShader(void);


private:
	lib_gl::GlslProgram m_Program;
};
